//  @import com.hedgehoglab.application.controller.BaseController;
//  @import com.hedgehoglab.utils.Async;
/**
 *
 * @param scope
 */



function DeleteDialogController(scope){
    BaseController.call(this,scope);
    var _this=this;
    

    scope.delete_dialog_view.subscribe_to('on_confirm_clicked',function(e){
      _this.raise_event('on_confirm_clicked');
    });

    scope.delete_dialog_view.subscribe_to('on_cancel_clicked',function(e){
        e.hide();
    });
};